summaryrefslogtreecommitdiff
path: root/qa/318
diff options
context:
space:
mode:
Diffstat (limited to 'qa/318')
-rwxr-xr-xqa/31828
1 files changed, 28 insertions, 0 deletions
diff --git a/qa/318 b/qa/318
new file mode 100755
index 0000000..a22433b
--- /dev/null
+++ b/qa/318
@@ -0,0 +1,28 @@
+#! /bin/sh
+# PCP QA Test No. 318
+# pmie botch in handling time macros
+#
+# Copyright (c) 2007 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.*
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+cat <<'End-of-File' \
+| pmie -A 1min -t 1min -z -v -a src/20041125.0 2>&1 \
+| fgrep -v "evaluator exiting"
+$minute;
+$hour;
+$minute > 34 -> print "OK1";
+pmcd.license + $minute > pmcd.license + 34 -> print "OK2";
+End-of-File